import request from "@/utils/request"


export function getYsVisistList(data) {
	return request.get({
		url: '/crm/app/appVisistReport/list',
		data: data
	},{
		isTransformResponse:false
	})
}
//市场信息列表接口
export function CrmMarketInformationList(data) {
	return request.get({
		url: '/crm/app/informationMarketInformation/list',
		data: data
	},{
		isTransformResponse:false
	})
}
//市场信息模块待审核改为提交
export function handleCrmMarketInfo(data) {
	return request.post({
		url: '/crm/app/informationMarketInformation/handleCrmMarketInfo',
		data
	},{
		isTransformResponse:false
	})
}
//获取客户名称
export function getYsCustomerList(data) {
	return request.get({
		url: '/crm/app/appCustomerIfno/pageList',
		data
	},{
		isTransformResponse:false
	})
}
//市场信息模块提交
export function crmMarketInformationAdd(data) {
	return request.post({
		url: '/crm/app/informationMarketInformation/add',
		data
	},{
		isTransformResponse:false
	})
}
//市场信息模块查询
export function crminformationItemForDetail(data) {
	return request.get({
		url: '/crm/app/informationMarketInformation/getDetail',
		data
	},{
		isTransformResponse:false
	})
}
//客户人员信息查询
export function crmCustomerUser(data) {
	return request.get({
		url: '/crm/app/appCrmCusUserNewController/crmCustomerUser',
		data
	},{
		isTransformResponse:false
	})
}
//市场信息根据ID删除
export function crmMarketInformationDelete(data) {
	return request.get({
		url: '/crm/app/informationMarketInformation/delete',
		data
	},{
		isTransformResponse:false
	})
}
//市场信息查询接口
export function viewingMarketInfForAllMembers(data) {
	return request.get({
		url: '/crm/app/informationMarketInformation/viewList',
		data
	},{
		isTransformResponse:false
	})
}
//市场信息详情查询接口
export function viewingMarketInfgetDetail(data) {
	return request.get({
		url: '/crm/app/informationMarketInformation/getDetail',
		data
	},{
		isTransformResponse:false
	})
}
//市场信审核列表接口
export function approvalMarketInfget(data) {
	return request.get({
		url: '/crm/app/informationMarketInformation/Approval',
		data
	},{
		isTransformResponse:false
	})
}
//回款模块列表查询
export function getPaymentList(data) {
	return request.get({
		url: '/crm/app/InformationReviewController/getPaymentList',
		data
	},{
		isTransformResponse:false
	})
}
//回款新增接口
export function addPaymentCollection(data) {
	return request.post({
		url: '/crm/app/InformationReviewController/addPaymentCollection',
		data
	},{
		isTransformResponse:false
	})
}
//回款更新接口
export function updatePaymentDetail(data) {
	return request.post({
		url: '/crm/app/InformationReviewController/updatePaymentDetail',
		data
	},{
		isTransformResponse:false
	})
}
//回款删除接口
export function deletePaymentDetail(data) {
	return request.post({
		url: '/crm/app/InformationReviewController/deletePaymentDetail',
		data
	},{
		isTransformResponse:false
	})
}

//全员查询回款接口
export function getFullStaffStatisticsViewingTable(data) {
	return request.get({
		url: '/crm/app/InformationReviewController/getFullStaffStatisticsViewingTable',
		data
	},{
		isTransformResponse:false
	})
}
//个人查询回款接口
export function getPersonalPaymentCollectionTable(data) {
	return request.get({
		url: '/crm/app/InformationReviewController/getPersonalPaymentCollectionTable',
		data
	},{
		isTransformResponse:false
	})
}

//市场信息审核通过接口
export function crmMarketInformationApprovalSuccess(data) {
	return request.get({
		url: '/crm/app/informationMarketInformation/ApprovalSuccess',
		data
	},{
		isTransformResponse:false
	})
}
//市场信息审核驳回接口
export function crmMarketInformationApprovalUnSuccess(data) {
	return request.get({
		url: '/crm/app/informationMarketInformation/ApprovalUnSuccess',
		data
	},{
		isTransformResponse:false
	})
}
